
local function reapply_recipes(tech,force)
  for _,effect in pairs(tech.effects or {}) do
    if effect.type == 'unlock-recipe' then
      local recipe = force.recipes[effect.recipe]
      recipe.enabled = true
      recipe.reload() --when ingredients change?
      end
    end
  end

for _,force in pairs(game.forces) do
  local walls = force.technologies['stone-wall']
  if force.technologies['stone-wall'].researched then reapply_recipes(walls,force) end
  end